<?php

defined('_JEXEC') or die;

jimport('joomla.application.component.modeladmin');

class BreedModelBreed extends JModelAdmin
{

	protected $text_prefix = 'COM_BREED';

	protected $item = null;

	public function getTable($type = 'Breed', $prefix = 'BreedTable', $config = array())
	{
		return JTable::getInstance($type, $prefix, $config);
	}


	public function getForm($data = array(), $loadData = true)
	{
		// Initialise variables.
		$app = JFactory::getApplication();

		// Get the form.
		$form = $this->loadForm(
			'com_breed.breed', 'breed',
			array('control' => 'jform',
				'load_data' => $loadData
			)
		);

		if (empty($form))
		{
			return false;
		}

		return $form;
	}



	public function duplicate(&$pks)
	{
		$user = JFactory::getUser();

		// Access checks.
		if (!$user->authorise('core.create', 'com_breed'))
		{
			throw new Exception(JText::_('JERROR_CORE_CREATE_NOT_PERMITTED'));
		}

		$table = $this->getTable();

		foreach ($pks as $pk)
		{
			if ($table->load($pk, true))
			{
				// Reset the id to create a new record.
				$table->id = 0;

				if (!$table->check())
				{
					throw new Exception($table->getError());
				}
				
				if (!empty($table->pic))
				{
					if (is_array($table->pic))
					{
						$table->pic = implode(',', $table->pic);
					}
				}
				else
				{
					$table->pic = '';
				}

				if (!$table->store())
				{
					throw new Exception($table->getError());
				}

			}
			else
			{
				throw new Exception($table->getError());
			}
		}

		// Clean cache
		$this->cleanCache();

		return true;
	}
	
	
	

	public function getItem($pk = null)
	{
		if ($item = parent::getItem($pk))
		{
			// Do any procesing on fields here if needed
		}

		return $item;
	}
	
	

	protected function loadFormData()
	{
		$data = JFactory::getApplication()->getUserState('com_breed.edit.breed.data', array());

		if (empty($data))
		{
			if ($this->item === null)
			{
				$this->item = $this->getItem();
			}

			$data = $this->item;
		}

		return $data;
	}




	protected function prepareTable($table)
	{
		jimport('joomla.filter.output');

		if (empty($table->id))
		{
			if (@$table->ordering === '')
			{
				$db = JFactory::getDbo();
				$db->setQuery('SELECT MAX(ordering) FROM #__breed_breed');
				$max             = $db->loadResult();
				$table->ordering = $max + 1;
			}
		}
	}

	
	
	
	
	
	
	
	
	
	



}
